<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    xmlns:android="http://schemas.android.com/apk/res/android">

    <ImageView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:scaleType="centerCrop"
        android:src="@drawable/backgound_image">

    </ImageView>

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            tools:context=".Views.RegisterView"
            android:orientation="vertical">


            <TextView
                android:id="@+id/textView2"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="40sp"
                android:layout_marginBottom="50sp"
                android:text="Register"
                android:textAlignment="center"
                android:textColor="#79000000"
                android:textSize="50sp"
                android:textStyle="bold" />

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/registerUsername"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="@string/username"
                tools:ignore="MissingConstraints"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                app:boxStrokeColor="@color/secondaryTextColor"
                app:boxStrokeWidth="12sp"
                app:boxCornerRadiusBottomEnd="12sp"
                app:boxCornerRadiusBottomStart="12sp"
                app:boxCornerRadiusTopEnd="12sp"
                app:boxCornerRadiusTopStart="12sp"
                app:errorEnabled="true"
                >

                <com.google.android.material.textfield.TextInputEditText
                    android:layout_width="match_parent"

                    android:layout_height="wrap_content"
                    android:layout_marginLeft="20sp"
                    android:layout_marginRight="20sp"
                    android:layout_marginBottom="16sp"
                    android:background="#72888888"
                    android:inputType="text" />

            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/registerNewPassword"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="@string/registerNewPassword"
                tools:ignore="MissingConstraints"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                app:endIconMode="password_toggle"
                app:errorEnabled="true">

                <com.google.android.material.textfield.TextInputEditText
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="20sp"
                    android:layout_marginRight="20sp"
                    android:layout_marginBottom="16sp"
                    android:background="#72888888"
                    android:inputType="textPassword" />

            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/registerRepeatNewPassword"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="@string/registerRepeatNewPassword"
                tools:ignore="MissingConstraints"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                app:endIconMode="password_toggle"
                app:errorEnabled="true">

                <com.google.android.material.textfield.TextInputEditText
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="20sp"
                    android:layout_marginRight="20sp"
                    android:layout_marginBottom="16sp"
                    android:background="#72888888"
                    android:inputType="text" />

            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/email"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="@string/email"
                tools:ignore="MissingConstraints"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                app:errorEnabled="true">

                <com.google.android.material.textfield.TextInputEditText
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="20sp"
                    android:layout_marginRight="20sp"
                    android:layout_marginBottom="16sp"
                    android:background="#72888888"
                    android:inputType="text" />

            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/name"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="@string/name"
                tools:ignore="MissingConstraints"

                >

                <com.google.android.material.textfield.TextInputEditText
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="20sp"
                    android:layout_marginRight="20sp"
                    android:layout_marginBottom="16sp"
                    android:background="#72888888"
                    android:inputType="text" />

            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/surnames"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="@string/surnames"
                tools:ignore="MissingConstraints"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"

                >

                <com.google.android.material.textfield.TextInputEditText
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="20sp"
                    android:layout_marginRight="20sp"
                    android:layout_marginBottom="16sp"
                    android:background="#72888888"
                    android:inputType="text" />

            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/birthdate"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="@string/birthdate"
                tools:ignore="MissingConstraints"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"

                >

                <com.google.android.material.textfield.TextInputEditText
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="20sp"
                    android:layout_marginRight="20sp"
                    android:layout_marginBottom="16sp"
                    android:background="#72888888"
                    android:inputType="text"
                    android:focusable="false"
                    android:focusableInTouchMode="false"/>

            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/gender"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="@string/gender"
                tools:ignore="MissingConstraints"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"

                >

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/register_genderEditText"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="20sp"
                    android:layout_marginRight="20sp"
                    android:layout_marginBottom="16sp"
                    android:background="#72888888"
                    android:inputType="text"
                    android:focusable="false"
                    android:focusableInTouchMode="false"/>

            </com.google.android.material.textfield.TextInputLayout>

            <CheckBox
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="20sp"
                android:layout_marginBottom="20sp"
                android:text="@string/terms"
                app:useMaterialThemeColors="false" />

            <com.google.android.material.button.MaterialButton
                android:id="@+id/btn_registerEnviarForm"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="16dp"
                android:layout_marginEnd="16dp"
                android:layout_marginBottom="0dp"
                android:background="#000000"
                android:backgroundTint="#000000"
                android:text="REGISTER"
                android:textColor="#FFFFFF" />

            <com.google.android.material.button.MaterialButton
                android:id="@+id/btn_registerLogin"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="16dp"
                android:layout_marginEnd="16dp"
                android:layout_marginBottom="24dp"
                android:background="#000000"
                android:text="LOGIN"
                android:textColor="#000000"
                app:backgroundTint="#00FFFFFF" />



        </LinearLayout>
    </ScrollView>

</FrameLayout>

